CVE-2016-5385 Detail

Current Description

PHP through 7.0.8 does not attempt to address RFC 3875 section 4.1.18 namespace conflicts and therefore does not protect applications from the presence of untrusted client data in the HTTP_PROXY environment variable, which might allow remote attackers to redirect an application's outbound HTTP traffic to an arbitrary proxy server via a crafted Proxy header in an HTTP request, as demonstrated by (1) an application that makes a getenv('HTTP_PROXY') call or (2) a CGI configuration of PHP, aka an "httpoxy" issue.


View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  8.1 HIGH
Vector:  CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have published a CVSS score for this CVE based on publicly available information at the time of analysis. The CNA has not provided a score within the CVE List.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-updates/2016-08/msg00003.html Third Party Advisory 
http://rhn.redhat.com/errata/RHSA-2016-1609.html Third Party Advisory 
http://rhn.redhat.com/errata/RHSA-2016-1610.html Third Party Advisory 
http://rhn.redhat.com/errata/RHSA-2016-1611.html Third Party Advisory 
http://rhn.redhat.com/errata/RHSA-2016-1612.html Third Party Advisory 
http://rhn.redhat.com/errata/RHSA-2016-1613.html Third Party Advisory 
http://www.debian.org/security/2016/dsa-3631 Third Party Advisory 
http://www.kb.cert.org/vuls/id/797896 Third Party Advisory  US Government Resource 
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html Patch  Third Party Advisory 
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html Patch  Third Party Advisory 
http://www.oracle.com/technetwork/topics/security/linuxbulletinjul2016-3090544.html Third Party Advisory 
http://www.securityfocus.com/bid/91821 Third Party Advisory  VDB Entry 
http://www.securitytracker.com/id/1036335 Third Party Advisory  VDB Entry 
https://bugzilla.redhat.com/show_bug.cgi?id=1353794 Issue Tracking  Third Party Advisory  VDB Entry 
https://github.com/guzzle/guzzle/releases/tag/6.2.1 Third Party Advisory 
https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbhf03770en_us Third Party Advisory 
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05320149 Third Party Advisory 
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05333297 Third Party Advisory 
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05390722 Third Party Advisory 
https://httpoxy.org/ Third Party Advisory 
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/7RMYXAVNYL2MOBJTFATE73TOVOEZYC5R/ Third Party Advisory 
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/GXFEIMZPSVGZQQAYIQ7U7DFVX3IBSDLF/ Third Party Advisory 
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/KZOIUYZDBWNDDHC6XTOLZYRMRXZWTJCP/ Third Party Advisory 
https://security.gentoo.org/glsa/201611-22 Third Party Advisory 
https://www.drupal.org/SA-CORE-2016-003 Third Party Advisory 

Weakness Enumeration

CWE-ID CWE Name Source
CWE-284 Improper Access Control cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

24 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2016-5385
NVD Published Date:
07/18/2016
NVD Last Modified:
12/27/2019
Source:
MITRE